# HTML5 API demos #
[HTML5 API demos](https://github.com/AurelioDeRosa/HTML5-API-demos) is a repository where you can find information about many JavaScript and HTML5 APIs.

For every API listed in this repository you'll find a link to the specifications, an article I've written on the subject, a link to [CanIUse](http://caniuse.com/) to discover what browsers support it, and to a demo I've developed as a complement for the articles. The demos are particularly valuable because they allow you to play with the these JavaScript and HTML5 APIs.

In this repository you can learn about the following APIs, listed in alphabetic order:

| API   | Specifications | Article | Support | Live demo |
| ----- | :------------: | :-----: | :-----: | :-------: |
| Ambient Light API| [Specifications](http://www.w3.org/TR/ambient-light/) | [Article](http://modernweb.com/2014/05/27/introduction-to-the-ambient-light-api/) | [Support](http://caniuse.com/#feat=ambient-light) | [Live demo](http://aurelio.audero.it/demo/ambient-light-api-demo.html)
| Battery Status API| [Specifications](http://www.w3.org/TR/battery-status/) | [Article](http://code.tutsplus.com/tutorials/html5-battery-status-api--mobile-22795) | [Support](http://caniuse.com/#feat=battery-status) | [Live demo](http://aurelio.audero.it/demo/battery-status-api-demo.html)
| classList API| [Specifications](http://dom.spec.whatwg.org/#dom-element-classlist) | [Article](http://www.sitepoint.com/exploring-classlist-api/) | [Support](http://caniuse.com/#feat=classlist) | [Live demo](http://aurelio.audero.it/demo/classlist-api-demo.html)
| Dataset API| [Specifications](http://www.w3.org/TR/html5/dom.html#dom-dataset) | [Article](http://www.sitepoint.com/managing-custom-data-html5-dataset-api/) | [Support](http://caniuse.com/#feat=dataset) | [Live demo](http://aurelio.audero.it/demo/dataset-api-demo.html)
| Device Orientation API| [Specifications](http://www.w3.org/TR/orientation-event/) | [Article](http://code.tutsplus.com/tutorials/an-introduction-to-the-device-orientation-api--cms-21067) | [Support](http://caniuse.com/#feat=deviceorientation) | [Live demo](http://aurelio.audero.it/demo/device-orientation-api-demo.html)
| Geolocation API| [Specifications](http://www.w3.org/TR/geolocation-API/) | [Article](http://code.tutsplus.com/tutorials/an-introduction-to-the-geolocation-api--cms-20071) | [Support](http://caniuse.com/#feat=geolocation) | [Live demo](http://aurelio.audero.it/demo/geolocation-api-demo.html)
| getUserMedia API| [Specifications](http://www.w3.org/TR/mediacapture-streams/) | [Article](http://www.sitepoint.com/introduction-getusermedia-api/) | [Support](http://caniuse.com/#feat=stream) | [Live demo](http://aurelio.audero.it/demo/getusermedia-api-demo.html)
| High Resolution Time API| [Specifications](http://www.w3.org/TR/hr-time/) | [Article](http://www.sitepoint.com/discovering-the-high-resolution-time-api/) | [Support](http://caniuse.com/#feat=high-resolution-time) | [Live demo](http://aurelio.audero.it/demo/high-resolution-time-api-demo.html)
| Navigation Timing API| [Specifications](http://www.w3.org/TR/navigation-timing/) | [Article](http://developer.telerik.com/featured/introduction-navigation-timing-api/)  | [Support](http://caniuse.com/#feat=nav-timing) | [Live demo](http://aurelio.audero.it/demo/navigation-timing-api-demo.html)
| Network Information API| [Specifications](http://w3c.github.io/netinfo/) | [Article](http://code.tutsplus.com/tutorials/html5-network-information-api--cms-21598) | | [Live demo](http://aurelio.audero.it/demo/network-information-api-demo.html)
| Page Visibility API| [Specifications](http://www.w3.org/TR/page-visibility/) | [Article](http://www.sitepoint.com/introduction-to-page-visibility-api/) | [Support](http://caniuse.com/#feat=pagevisibility) | [Live demo](http://aurelio.audero.it/demo/page-visibility-api-demo.html)
| Proximity API| [Specifications](http://www.w3.org/TR/proximity/) | [Article](http://www.sitepoint.com/introducing-proximity-api/) | [Support](http://caniuse.com/#feat=proximity) | [Live demo](http://aurelio.audero.it/demo/proximity-api-demo.html)
| Resource Timing API| [Specifications](http://www.w3.org/TR/resource-timing/) | [Article](http://www.sitepoint.com/introduction-resource-timing-api/) | [Support](http://caniuse.com/#feat=resource-timing) | [Live demo](http://aurelio.audero.it/demo/resource-timing-api-demo.html)
| Speech Synthesis API| [Specifications](https://dvcs.w3.org/hg/speech-api/raw-file/tip/speechapi.html#tts-section) | [Article](http://www.sitepoint.com/talking-web-pages-and-the-speech-synthesis-api/) | [Support](http://caniuse.com/#feat=speech-synthesis) | [Live demo](http://aurelio.audero.it/demo/speech-synthesis-api-demo.html)
| Screen Orientation API| [Specifications](http://www.w3.org/TR/screen-orientation/) | [Article](http://www.sitepoint.com/introducing-screen-orientation-api/) | [Support](http://caniuse.com/#feat=screen-orientation) | [Live demo](http://aurelio.audero.it/demo/screen-orientation-api-demo.html)
| User Timing API| [Specifications](http://www.w3.org/TR/user-timing/) | [Article](http://www.sitepoint.com/discovering-user-timing-api/) | [Support](http://caniuse.com/#feat=user-timing) | [Live demo](http://aurelio.audero.it/demo/user-timing-api-demo.html)
| Vibration API| [Specifications](http://www.w3.org/TR/vibration/) | [Article](http://code.tutsplus.com/tutorials/html5-vibration-api--mobile-22585) | [Support](http://caniuse.com/#feat=vibration) | [Live demo](http://aurelio.audero.it/demo/vibration-api-demo.html)
| Web Notification API| [Specifications](http://www.w3.org/TR/notifications/) | [Article](http://www.sitepoint.com/introduction-web-notifications-api/) | [Support](http://caniuse.com/#feat=notifications) | [Live demo](http://aurelio.audero.it/demo/web-notifications-api-demo.html)
| Web Speech API| [Specifications](https://dvcs.w3.org/hg/speech-api/raw-file/tip/webspeechapi.html) | [Article](http://www.sitepoint.com/introducing-web-speech-api/) | [Support](http://caniuse.com/#feat=speech-recognition) | [Live demo](http://aurelio.audero.it/demo/web-speech-api-demo.html)

## Note ##
While the repository is called "HTML5 API demos", many of these APIs aren't part of the HTML5 specifications. So, technically speaking, many of them aren't HTML5 APIs. However, at the time I started this repository, I found the name to be useful as an umbrella to group them all and to... well, attract users (you know, SEO and the like).

## License ##
[HTML5 API demos](https://github.com/AurelioDeRosa/HTML5-API-demos) is licensed under the
[CC BY-NC 4.0](http://creativecommons.org/licenses/by-nc/4.0/) ("Creative Commons Attribution NonCommercial 4.0")

## Author ##
[Aurelio De Rosa](http://www.audero.it) (Twitter: [@AurelioDeRosa](https://twitter.com/AurelioDeRosa))
